Commit 6fbb3482 authored by Michele Carpene's avatar Michele Carpene
Browse files

removed unused directories

parent 99b10455
Pipeline #721 failed with stages
in 2 minutes and 36 seconds
#!/bin/bash
echo "#####################################################"
echo "Hello, I am a hook that is executed after iRODS has "
echo "been initialized "
echo "#####################################################"
echo "just put something to irods"
iput /app/a_script_that_runs_after_irods_has_been_initialized.sh
# Example Configuration and Usage, this part should be adapted in order to use Minio
iadmin mkresc compResc compound
#iadmin mkresc cacheResc unixfilesystem <hostname>:</full/path/to/Vault>
iadmin mkresc cacheResc unixfilesystem localhost:/var/lib/irods/Vault
#iadmin mkresc archiveResc s3 <hostname>:/<s3BucketName>/irods/Vault "S3_DEFAULT_HOSTNAME=s3.amazonaws.com;S3_AUTH_FILE=</full/path/to/AWS.keypair>;S3_RETRY_COUNT=<num reconn tries>;S3_WAIT_TIME_SEC=<wait between retries>;S3_PROTO=<HTTP|HTTPS>"
iadmin mkresc archiveResc s3 localhost:/s3bucket/irods/Vault "S3_DEFAULT_HOSTNAME=localhost;S3_AUTH_FILE=./AWS.keypair;S3_RETRY_COUNT=3;S3_WAIT_TIME_SEC=1;S3_PROTO=HTTP"
iadmin addchildtoresc compResc cacheResc cache
iadmin addchildtoresc compResc archiveResc archive
iput -R compResc foo.txt
#ireg -R archiveResc /<s3BucketName>/full/path/in/bucket /full/logical/path/to/dataObject
echo "...and loop forever"
while true
do
echo "still alive"
sleep 10
done
#!/bin/bash
function cleanup {
echo "cleanup"
irm testfile
}
trap cleanup EXIT
set -x
set -e
# ils
# iput a file
cat << EOF > /tmp/testfile
These contents will be written to the file.
This line is indented.
EOF
iput -k /tmp/testfile
# get the file
iget -f testfile /tmp/testfile.result
if ! cmp /tmp/testfile /tmp/testfile.result >/dev/null 2>&1
then
echo "/tmp/testfile and /tmp/testfile.result differ"
exit 127
fi
# to simulate failure
# exit 127
# Example Configuration and Usage, this part should be adapted in order to use Minio
iadmin mkresc compResc compound
#iadmin mkresc cacheResc unixfilesystem <hostname>:</full/path/to/Vault>
iadmin mkresc cacheResc unixfilesystem localhost:/var/lib/irods/Vault
#iadmin mkresc archiveResc s3 <hostname>:/<s3BucketName>/irods/Vault "S3_DEFAULT_HOSTNAME=s3.amazonaws.com;S3_AUTH_FILE=</full/path/to/AWS.keypair>;S3_RETRY_COUNT=<num reconn tries>;S3_WAIT_TIME_SEC=<wait between retries>;S3_PROTO=<HTTP|HTTPS>"
iadmin mkresc archiveResc s3 localhost:/s3bucket/irods/Vault "S3_DEFAULT_HOSTNAME=localhost;S3_AUTH_FILE=./AWS.keypair;S3_RETRY_COUNT=3;S3_WAIT_TIME_SEC=1;S3_PROTO=HTTP"
iadmin addchildtoresc compResc cacheResc cache
iadmin addchildtoresc compResc archiveResc archive
iput -R compResc foo.txt
#ireg -R archiveResc /<s3BucketName>/full/path/in/bucket /full/logical/path/to/dataObject
#FROM centos:7
FROM eudat-docker-public.artie.ia.surfsara.nl/b2safe_b2container_centos7_4_1_11:latest
# Build prerequisites
RUN yum update -y && yum install -y libxml2-devel libcurl4-gnutls-devel libs3
RUN yum update -y irods-devel irods-runtime irods-icommands irods-externals-libs
#RUN git clone -b 4-2-stable https://gitlab.eudat.eu/m.carpen/irods_resource_plugin_s3
################################################################################
#
# install S3 plugin
#
################################################################################
#just working with rpm packages
RUN wget https://packages.irods.org/yum/pool/centos7Workstation/x86_64/irods-externals-libs3a30e55e8-1-1.0-1.x86_64.rpm
RUN rpm -ivh ./irods-externals-libs3a30e55e8-1-1.0-1.x86_64.rpm
RUN wget https://packages.irods.org/yum/pool/centos7/x86_64/irods-resource-plugin-s3-4.2.8.0-1.x86_64.rpm
RUN rpm -ivh ./irods-resource-plugin-s3-4.2.8.0-1.x86_64.rpm
# Prepare minio s3 configuration file
RUN pwd
RUN touch ./AWS.keypair
#RUN cat "MINIO_ACCESS_KEY=minio" >> ./AWS.keypair
#RUN cat "MINIO_SECRET_KEY=minio123" >> ./AWS.keypair
RUN export MINIO_ACCESS_KEY=minio
RUN export MINIO_SECRET_KEY=minio123
################################################################################
#
# add hook script
#
################################################################################
ADD a_script_that_runs_after_irods_has_been_initialized.sh /app/a_script_that_runs_after_irods_has_been_initialized.sh
################################################################################
#
# add functional test script
#
################################################################################
ADD functional_test.sh /app/functional_test.sh
CMD [ "/app/a_script_that_runs_after_irods_has_been_initialized.sh"]
#FROM centos:7
FROM eudat-docker-public.artie.ia.surfsara.nl/b2safe_b2container_centos7_4_1_12:latest
# Build prerequisites
RUN yum update -y && yum install -y libxml2-devel libcurl4-gnutls-devel libs3
RUN yum update -y irods-devel irods-runtime irods-icommands irods-externals-libs
#RUN git clone -b 4-2-stable https://gitlab.eudat.eu/m.carpen/irods_resource_plugin_s3
################################################################################
#
# install S3 plugin
#
################################################################################
#just working with rpm packages
RUN wget https://packages.irods.org/yum/pool/centos7Workstation/x86_64/irods-externals-libs3a30e55e8-1-1.0-1.x86_64.rpm
RUN rpm -ivh ./irods-externals-libs3a30e55e8-1-1.0-1.x86_64.rpm
RUN wget https://packages.irods.org/yum/pool/centos7/x86_64/irods-resource-plugin-s3-4.2.8.0-1.x86_64.rpm
RUN rpm -ivh ./irods-resource-plugin-s3-4.2.8.0-1.x86_64.rpm
# Prepare minio s3 configuration file
RUN pwd
RUN touch ./AWS.keypair
#RUN cat "MINIO_ACCESS_KEY=minio" >> ./AWS.keypair
#RUN cat "MINIO_SECRET_KEY=minio123" >> ./AWS.keypair
RUN export MINIO_ACCESS_KEY=minio
RUN export MINIO_SECRET_KEY=minio123
################################################################################
#
# add hook script
#
################################################################################
ADD a_script_that_runs_after_irods_has_been_initialized.sh /app/a_script_that_runs_after_irods_has_been_initialized.sh
################################################################################
#
# add functional test script
#
################################################################################
ADD functional_test.sh /app/functional_test.sh
CMD [ "/app/a_script_that_runs_after_irods_has_been_initialized.sh"]
\ No newline at end of file
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment